Bug 233112 - New port: misc/mapdir - Tool to map directory trees
Summary: New port: misc/mapdir - Tool to map directory trees
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2018-11-10 17:09 UTC by Oliver Mahmoudi
Modified: 2019-02-11 08:09 UTC (History)
0 users

See Also:


Attachments
sharfile for new port: misc/mapdir (2.10 KB, text/plain)
2018-11-10 17:09 UTC, Oliver Mahmoudi
no flags Details
updated sharfile for new port: misc/mapdir (2.04 KB, text/plain)
2019-02-11 02:56 UTC, Oliver Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Mahmoudi 2018-11-10 17:09:52 UTC
Created attachment 199112 [details]
sharfile for new port: misc/mapdir

mapdir is a new port, which allows a user to map directory trees. The generated output files can subsequently be passed to the diff utility, to check different directory hierarchies, with the same content, for mutual consistency.
Comment 1 Tobias Kortkamp freebsd_committer 2019-02-04 18:51:14 UTC
Please update WWW (it's a 404) and please use your Bugzilla account email
for MAINTAINER so Bugzilla can correctly assign you to bugs that are filed
against the port in the future.

X	${REINPLACE_CMD} -e 's|/bin/sh|/usr/local/bin/bash|' \

This needs to have ${LOCALBASE} instead of /usr/local.

X	cd ${WRKSRC} &&	${GZIP_CMD} ${PORTNAME}.1

The framework already does that automatically later.  Just remove it.  

Xdo-install:
X	cd ${WRKSRC} && ${INSTALL_SCRIPT} ${PORTNAME} ${STAGEDIR}${PREFIX}/bin
X	cd ${WRKSRC} && ${INSTALL_MAN} ${PORTNAME}.1.gz ${STAGEDIR}${PREFIX}/man/man1

This a very complicated way to say:

do-install:
	${INSTALL_SCRIPT} ${WRKSRC}/mapdir ${STAGEDIR}${PREFIX}/bin
	${INSTALL_MAN} ${WRKSRC}/mapdir.1 ${STAGEDIR}${PREFIX}/man/man1
Comment 2 Oliver Mahmoudi 2019-02-11 02:39:32 UTC
Comment on attachment 199112 [details]
sharfile for new port: misc/mapdir

># This is a shell archive.  Save it in a file, remove anything before
># this line, and then unpack it by entering "sh file".  Note, it may
># create directories; files and directories will be owned by you and
># have default permissions.
>#
># This archive contains:
>#
>#	mapdir
>#	mapdir/Makefile
>#	mapdir/distinfo
>#	mapdir/pkg-descr
>#
>echo c - mapdir
>mkdir -p mapdir > /dev/null 2>&1
>echo x - mapdir/Makefile
>sed 's/^X//' >mapdir/Makefile << '6020909275f7bf532da61859ef7dcf8b'
>X# $FreeBSD$
>X
>XPORTNAME=	mapdir
>XPORTVERSION=	1.0
>XCATEGORIES=	misc
>XMASTER_SITES=	https://www.olivermahmoudi.com/files/
>X
>XMAINTAINER=	contact@olivermahmoudi.com
>XCOMMENT=	Tool to map directory trees
>XLICENSE=	BSD2CLAUSE
>X
>XRUN_DEPENDS=	${LOCALBASE}/bin/bash:shells/bash
>X
>XPLIST_FILES=	bin/mapdir \
>X		man/man1/mapdir.1.gz
>X
>XWRKSRC=		${WRKDIR}/${PORTNAME}
>X
>Xdo-build:
>X	${REINPLACE_CMD} -e 's|/bin/sh|${LOCALBASE}/bin/bash|' \
>X	-e 's|md5sum|md5|g' \
>X	-e 's|sha256sum|sha256|g' \
>X	-e 's|print $$1|print $$4|g' \
>X	${WRKSRC}/${PORTNAME}
>X	${REINPLACE_CMD} -e 's|md5sum|md5|g' \
>X	-e 's|sha256sum|sha256|g' \
>X	${WRKSRC}/${PORTNAME}.1
>Xdo-install:
>X	${INSTALL_SCRIPT} ${WRKSRC}/mapdir ${STAGEDIR}${PREFIX}/bin
>X	${INSTALL_MAN} ${WRKSRC}/mapdir.1 ${STAGEDIR}${PREFIX}/man/man1
>X
>X.include <bsd.port.mk>
>6020909275f7bf532da61859ef7dcf8b
>echo x - mapdir/distinfo
>sed 's/^X//' >mapdir/distinfo << '8ff2cb69e18095c528e627aa47b4c4a3'
>XTIMESTAMP = 1521914328
>XSHA256 (mapdir-1.0.tar.gz) = 44380a69af60eec22b95dcbafcf01d1eb676d222020ce4bb3b4e5f3e0e367ad5
>XSIZE (mapdir-1.0.tar.gz) = 4534
>8ff2cb69e18095c528e627aa47b4c4a3
>echo x - mapdir/pkg-descr
>sed 's/^X//' >mapdir/pkg-descr << 'c1a67c1dbcfc66c8727ed2a3b424bb3a'
>Xmapdir is a shell script utility, that can be used to map the structure
>Xof directory trees. It is mainly used, to verify the consistency between
>Xdifferent directory hierachies, which contain the same files, as the
>Xreport files generated by mapdir can subsequently be passed to the diff
>Xutility.
>X
>XWWW: https://www.olivermahmoudi.com/programming/mapping-dirs
>c1a67c1dbcfc66c8727ed2a3b424bb3a
>exit
>
Comment 3 Oliver Mahmoudi 2019-02-11 02:46:22 UTC
(In reply to Tobias Kortkamp from comment #1)
Updated WWW.

Replaced "${REINPLACE_CMD} -e 's|/bin/sh|/usr/local/bin/bash|' \" with
"${REINPLACE_CMD} -e 's|/bin/sh|${LOCALBASE}/bin/bash|' \".

Deleted the line "cd ${WRKSRC} && ${GZIP_CMD} ${PORTNAME}.1" from Makefile.

Fixed the do-install target.
Comment 4 Oliver Mahmoudi 2019-02-11 02:56:08 UTC
Created attachment 201914 [details]
updated sharfile for new port: misc/mapdir
Comment 5 Tobias Kortkamp freebsd_committer 2019-02-11 08:09:41 UTC
Committed as sysutils/mapdir with a couple of minor changes.  Thanks!
Comment 6 commit-hook freebsd_committer 2019-02-11 08:09:42 UTC
A commit references this bug:

Author: tobik
Date: Mon Feb 11 08:09:10 UTC 2019
New revision: 492672
URL: https://svnweb.freebsd.org/changeset/ports/492672

Log:
  New port: sysutils/mapdir

  mapdir is a shell script utility, that can be used to map the
  structure of directory trees.  It is mainly used to verify the
  consistency between different directory hierachies, which contain
  the same files, as the report files generated by mapdir can
  subsequently be passed to the diff utility.

  WWW: https://www.olivermahmoudi.com/programming/mapping-dirs

  PR:		233112
  Submitted by:	Oliver Mahmoudi <fbsd@olivermahmoudi.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/mapdir/
  head/sysutils/mapdir/Makefile
  head/sysutils/mapdir/distinfo
  head/sysutils/mapdir/pkg-descr